#
# spec file for package ghc-filelock
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name filelock
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.1.1.5
Release:        bp155.2.13
Summary:        Portable interface to file locking (flock / LockFileEx)
License:        CC0-1.0
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-unix-devel
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-process-devel
%endif

%description
This package provides an interface to Windows and Unix file locking
functionalities.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files

%changelog
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Tue Sep  1 2020 psimons@suse.com
- Update filelock to version 0.1.1.5.
  Upstream does not provide a change log file.
* Fri Nov 22 2019 psimons@suse.com
- Update filelock to version 0.1.1.4.
  Upstream does not provide a change log file.
* Fri Nov  8 2019 Peter Simons <psimons@suse.com>
- Drop obsolete group attributes.
* Fri May  3 2019 psimons@suse.com
- Update filelock to version 0.1.1.3.
  Upstream does not provide a change log file.
* Sat Oct 20 2018 Peter Simons <psimons@suse.com>
- Use https URL to refer to bugs.opensuse.org.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Mon May 14 2018 psimons@suse.com
- Update filelock to version 0.1.1.2.
  Upstream does not provide a changelog.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.1.0.1 revision 0 with cabal2obs.
* Mon Nov 23 2015 mimi.vx@gmail.com
- correwct licence to CC0-1.0
* Tue Nov 17 2015 mimi.vx@gmail.com
- initial commit
